## primus 0~20130601

=== debian/changelog ===
primus (0~20130601-1) unstable; urgency=low

  * New upstream git snapshot.
    - rebase on 38731d5375
    - fixes FTBFS on oldstable with gcc < 4.6 (Closes: #710025)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 06 Jun 2013 00:31:34 -0700

primus (0~20130527-1) unstable; urgency=low

  * New upstream git snapshot.
    - rebase on 618acb99e0

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 29 May 2013 01:49:06 -0700

primus (0~20130511-1) unstable; urgency=low

  * New upstream git snapshot.
    - rebase on ef73dd1976

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 16 May 2013 00:17:46 -0700

primus (0~20130427-1) unstable; urgency=low

  * Initial release. (Closes: #692597)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 03 May 2013 03:26:17 -0700
