=== debian/changelog ===
primus (0~20130904-1~bpo70+1) wheezy-backports; urgency=low

  * No change backport for wheezy.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 06 Nov 2013 16:22:25 -0800

primus (0~20130904-1) unstable; urgency=low

  * New upstream git snapshot.
    - rebase on da6459236b

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 23 Oct 2013 01:03:15 -0700

primus (0~20130805-1) unstable; urgency=low

  * New upstream git snapshot.
    - rebase on 3f248d9f13

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 20 Aug 2013 02:13:51 -0700

primus (0~20130601-1~bpo70+1) wheezy-backports; urgency=low

  * No change backport for wheezy.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 14 Jul 2013 02:19:44 -0700
