=== debian/control ===
Source: primus
Section: utils
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: 
 Aron Xu <aron@debian.org>, 
 Vincent Cheng <Vincentc1208@gmail.com>,
 Yunqiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), bash-completion, mesa-common-dev
Standards-Version: 3.9.4
Homepage: https://github.com/amonakov/primus
Vcs-Git: git://anonscm.debian.org/pkg-nvidia/primus.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nvidia/primus.git

Package: primus
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, bumblebee, socat,
 primus-libs (= ${binary:Version})
Recommends: primus-libs-ia32 [amd64]
Description: client-side GPU offloading for NVIDIA Optimus
 Primus is a shared library that provides OpenGL and GLX APIs and implements
 low-overhead local-only client-side OpenGL offloading via GLX forking,
 similar to VirtualGL. It intercepts GLX calls and redirects GL rendering
 to a secondary X display, presumably driven by a faster GPU. On swapping
 buffers, rendered contents are read back using a PBO and copied onto
 the drawable it was supposed to be rendered on in the first place.
 .
 Primus is currently intended to be used alongside Bumblebee and provides a
 drop-in replacement for optirun (i.e. "primusrun").

Package: primus-libs
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Shared libraries for primus
 This package contains the libraries for primus which are loaded when running
 primusrun.

Package: primus-libs-ia32
Architecture: i386
Depends: primus-libs, ${misc:Depends}
Multi-Arch: foreign
Description: Shared libraries for primus (32-bit)
 This package depends on 32-bit libraries for primus. It can safely be
 removed after installation.

Package: primus-libs-dbg
Architecture: i386 amd64
Section: debug
Depends: primus-libs (=${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Shared libraries for primus - debugging symbols
 This package contains the libraries for primus which are loaded when running
 primusrun.
 .
 This package contains the debugging symbols for primus-libs.
