## primus 0~20131127

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,8 @@
 BUMBLEBEE_SOCKET   ?= /var/run/bumblebee.socket
 PRIMUS_SYNC        ?= 0
 PRIMUS_VERBOSE     ?= 1
+PRIMUS_UPLOAD      ?= 0
+PRIMUS_SLEEP       ?= 90
 PRIMUS_DISPLAY     ?= :8
 PRIMUS_LOAD_GLOBAL ?= libglapi.so.0
 PRIMUS_libGLa      ?= /usr/$$LIB/nvidia/libGL.so.1
@@ -19,6 +21,8 @@
 CXXFLAGS += -DBUMBLEBEE_SOCKET='"$(BUMBLEBEE_SOCKET)"'
 CXXFLAGS += -DPRIMUS_SYNC='"$(PRIMUS_SYNC)"'
 CXXFLAGS += -DPRIMUS_VERBOSE='"$(PRIMUS_VERBOSE)"'
+CXXFLAGS += -DPRIMUS_UPLOAD='"$(PRIMUS_UPLOAD)"'
+CXXFLAGS += -DPRIMUS_SLEEP='"$(PRIMUS_SLEEP)"'
 CXXFLAGS += -DPRIMUS_DISPLAY='"$(PRIMUS_DISPLAY)"'
 CXXFLAGS += -DPRIMUS_LOAD_GLOBAL='"$(PRIMUS_LOAD_GLOBAL)"'
 CXXFLAGS += -DPRIMUS_libGLa='"$(PRIMUS_libGLa)"'
