=== debian/changelog ===
primus (0~20131127-2) unstable; urgency=medium

  * Build with PRIMUS_UPLOAD=1 to avoid a bug triggered by using primus and
    xserver-xorg-video-intel with UXA acceleration enabled (which is currently
    the default with xserver-xorg-video-intel 2:2.21.15-1 in unstable).
    This workaround will remain in effect until xserver-xorg-video-intel
    defaults to SNA in unstable. This flag will not be set if build
    environment is Ubuntu, as SNA is already enabled by default (in trusty).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 07 Jan 2014 01:56:18 -0800

primus (0~20131127-1) unstable; urgency=medium

  * New upstream git snapshot.
    - rebase on 074817614c
  * Update Standards version to 3.9.5, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 06 Jan 2014 01:36:38 -0800
