=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Vincent Cheng <Vincentc1208@gmail.com>,
  Yunqiang Su <wzssyqa@gmail.com>
 Build-Depends: debhelper (>= 9), bash-completion, mesa-common-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/amonakov/primus
 Vcs-Git: git://anonscm.debian.org/pkg-nvidia/primus.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nvidia/primus.git
