## primus 0~20140711

=== debian/changelog ===
primus (0~20140711-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream git snapshot.
    - rebase on 4e000124ec
  * Update email address.
  * Update Standards version to 3.9.6, no changes required.

  [ Andreas Beckmann ]
  * hardening.patch: New. Use all variables that contain hardening flags.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 15 Jan 2014 14:14:25 -0800
