=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: 
  Aron Xu <aron@debian.org>, 
- Vincent Cheng <Vincentc1208@gmail.com>,
+ Vincent Cheng <vcheng@debian.org>,
  Yunqiang Su <wzssyqa@gmail.com>
 Build-Depends: debhelper (>= 9), bash-completion, mesa-common-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/amonakov/primus
 Vcs-Git: git://anonscm.debian.org/pkg-nvidia/primus.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nvidia/primus.git
