=== debian/control ===
Source: primus
Section: utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 Yunqiang Su <wzssyqa@gmail.com>,
 Luca Boccassi <bluca@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 libglapi-mesa,
 mesa-common-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/amonakov/primus
Vcs-Browser: https://salsa.debian.org/nvidia-team/primus
Vcs-Git: https://salsa.debian.org/nvidia-team/primus.git

Package: primus
Architecture: linux-any
Depends:
 bumblebee (>= 3.2.1-21~),
 primus-libs (= ${binary:Version}),
 xserver-xorg-core | xserver-xorg-video-intel,
 ${misc:Depends},
Suggests:
 primus-nvidia [amd64 arm64 ppc64el],
Description: client-side GPU offloading for NVIDIA Optimus
 Primus is a shared library that provides OpenGL and GLX APIs and implements
 low-overhead local-only client-side OpenGL offloading via GLX forking,
 similar to VirtualGL. It intercepts GLX calls and redirects GL rendering
 to a secondary X display, presumably driven by a faster GPU. On swapping
 buffers, rendered contents are read back using a PBO and copied onto
 the drawable it was supposed to be rendered on in the first place.
 .
 Primus is currently intended to be used alongside Bumblebee and provides a
 drop-in replacement for optirun (i.e. "primusrun").

Package: primus-libs
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libgl1, libglx-mesa0
Recommends:
 primus-libs:i386 (= ${binary:Version}) [amd64],
 libprimus-vk1,
Conflicts:
 primus-libs-ia32,
Description: shared libraries for primus
 Primus is a shared library that provides OpenGL and GLX APIs and implements
 low-overhead local-only client-side OpenGL offloading via GLX forking,
 similar to VirtualGL. It intercepts GLX calls and redirects GL rendering
 to a secondary X display, presumably driven by a faster GPU. On swapping
 buffers, rendered contents are read back using a PBO and copied onto
 the drawable it was supposed to be rendered on in the first place.
 .
 This package contains the libraries for primus which are loaded when running
 primusrun.

Package: primus-nvidia
Architecture: amd64 arm64 ppc64el
Section: contrib/utils
Depends:
 ${nvidia:Depends},
 primus (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 nvidia-primus-vk-wrapper,
Description: NVIDIA Primus support using the proprietary NVIDIA driver
 This metapackage ensures that the proprietary NVIDIA driver is installed in a
 way such that 3D acceleration does not break. It does so by configuring the
 OpenGL library path to use the Mesa graphics library.
